commit: d5bf580f5dc7e99f34e7d226a62b91dcf43a1b7b
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 16 13:38:58 2022 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Mar 16 14:02:03 2022 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=d5bf580f
kde-plasma/layer-shell-qt: Add dev-qt/qtwaylandscanner BDEPEND
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
kde-plasma/layer-shell-qt/layer-shell-qt-5.24.49.9999.ebuild | 4 ++++
kde-plasma/layer-shell-qt/layer-shell-qt-9999.ebuild | 4 ++++
2 files changed, 8 insertions(+)
diff --git a/kde-plasma/layer-shell-qt/layer-shell-qt-5.24.49.9999.ebuild
b/kde-plasma/layer-shell-qt/layer-shell-qt-5.24.49.9999.ebuild
index c7fef5d582..3bd529a599 100644
--- a/kde-plasma/layer-shell-qt/layer-shell-qt-5.24.49.9999.ebuild
+++ b/kde-plasma/layer-shell-qt/layer-shell-qt-5.24.49.9999.ebuild
@@ -30,6 +30,10 @@ DEPEND="${RDEPEND}
dev-libs/wayland-protocols
"
BDEPEND="
+ || (
+ >=dev-qt/qtwaylandscanner-${QTMIN}:5
+ <dev-qt/qtwayland-5.15.3:5
+ )
dev-util/wayland-scanner
virtual/pkgconfig
"
diff --git a/kde-plasma/layer-shell-qt/layer-shell-qt-9999.ebuild
b/kde-plasma/layer-shell-qt/layer-shell-qt-9999.ebuild
index dd3406a6c3..a154672c51 100644
--- a/kde-plasma/layer-shell-qt/layer-shell-qt-9999.ebuild
+++ b/kde-plasma/layer-shell-qt/layer-shell-qt-9999.ebuild
@@ -30,6 +30,10 @@ DEPEND="${RDEPEND}
dev-libs/wayland-protocols
"
BDEPEND="
+ || (
+ >=dev-qt/qtwaylandscanner-${QTMIN}:5
+ <dev-qt/qtwayland-5.15.3:5
+ )
dev-util/wayland-scanner
virtual/pkgconfig
"